Results 1 to 4 of 4

Thread: problem installing snort

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Junior Member
    Join Date
    Mar 2017
    Posts
    2

    problem installing snort

    helo, greetings everyone. i have been having problem installing snort on kalilinux.
    im using kali 2.0. i'v done apt-get update, apt-get upgrade still unable to install.
    when i type apt-get install snort, this is the reply:

    root@josh:~# apt-get install snort
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following extra packages will be installed:
    libdaq2 oinkmaster snort-common snort-common-libraries snort-rules-default
    Suggested packages:
    snort-doc
    The following NEW packages will be installed:
    libdaq2 oinkmaster snort snort-common snort-common-libraries
    snort-rules-default
    0 upgraded, 6 newly installed, 0 to remove and 2237 not upgraded.
    Need to get 1,186 kB/2,230 kB of archives.
    After this operation, 7,325 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Err http://http.kali.org/kali/ kali-rolling/main snort-rules-default all 2.9.7.0-5
    Connection failed
    Err http://http.kali.org/kali/ kali-rolling/main snort amd64 2.9.7.0-5
    Connection failed
    E: Failed to fetch http://http.kali.org/kali/pool/main/....7.0-5_all.deb Connection failed

    E: Failed to fetch http://http.kali.org/kali/pool/main/....0-5_amd64.deb Connection failed

    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?




    Here s the content of my sources.list file:
    deb http://http.kali.org/kali kali-rolling main contrib non-free
    deb-src http://http.kali.org/kali kali-rolling main contrib non-free
    deb http://http.kali.org/kali sana main non-free contrib
    deb http://security.kali.org/kali-security sana/update main contrib non-free
    deb-src http://http.kali.org/kali sana main non-free contrib
    deb-src http://security.kali.org/kali-security sana/updates main contrib non-free
    deb http://ch.archive.ubuntu.com/ubuntu/ saucy main restricted
    deb-src http://ch.archive.ubuntu.com/ubuntu/ saucy main restricted
    deb http://httpredir.debian.org/debian jessie main
    deb-src http://httpredir.debian.org/debian jessie main


    pls i need urgent help on this issue. im working on a project on sniffing and IDS tools, snort
    is among the tools im working on. thanks in advance

  2. #2
    ARM guy
    Join Date
    Feb 2014
    Posts
    203
    You need to NOT mix all the different repositories.

    Remove the Kali sana lines.
    Remove the Ubuntu saucy lines.
    Remove the Debian jessie lines.

    You will run into issues when you mix and match everything.

  3. #3
    Junior Member
    Join Date
    Mar 2017
    Posts
    2
    i have removed the lines,its still giving me thesame output. unable to install: after removing the lines, i did apt-get update before trying installing snort but it still wont install. this is the output:

    root@josh:~# apt-get install snort
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following extra packages will be installed:
    libdaq2 oinkmaster snort-common snort-common-libraries snort-rules-default
    Suggested packages:
    snort-doc
    The following NEW packages will be installed:
    libdaq2 oinkmaster snort snort-common snort-common-libraries
    snort-rules-default
    0 upgraded, 6 newly installed, 0 to remove and 2162 not upgraded.
    Need to get 1,186 kB/2,230 kB of archives.
    After this operation, 7,325 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Err http://http.kali.org/kali/ kali-rolling/main snort amd64 2.9.7.0-5
    Connection failed
    Err http://http.kali.org/kali/ kali-rolling/main snort-rules-default all 2.9.7.0-5
    Connection failed
    E: Failed to fetch http://http.kali.org/kali/pool/main/....7.0-5_all.deb Connection failed

    E: Failed to fetch http://http.kali.org/kali/pool/main/....0-5_amd64.deb Connection failed

    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?


    here is the content of my sources.list file after removing those lines:
    deb http://http.kali.org/kali kali-rolling main contrib non-free
    deb-src http://http.kali.org/kali kali-rolling main contrib non-free

  4. #4
    Junior Member
    Join Date
    Aug 2015
    Posts
    17
    Change the mirrors in your sources.list file. Here is the link.
    For eg. Selecting one of the mirrors from the list would make your sources.list file as:


    deb http://kali.mirror.garr.it/mirrors/kali kali-rolling main contrib non-free
    deb-src http://kali.mirror.garr.it/mirrors/kali kali-rolling main contrib non-free
    Then try

    Code:
    $ sudo apt update
    Code:
    $ sudo apt install snort
    That should do it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •